using AutoMapper;
using Qusion.Cms.Media.Video;

namespace Qusion.WebApp.Areas.cms.Models.Videos
{
    public class VideoProfile : Profile
    {
        protected override void Configure()
        {
            Mapper.CreateMap<VideoItem, VideoListModel>();

            Mapper.CreateMap<VideoItem, VideoModel>();

        

            Mapper.CreateMap<VideoQueryInput, VideoQuery>()
                .ConstructUsing(x => VideoQuery.Default);
        }
    }
}